<div class="container productindex">
    <section class="product-navigation header top-margin">
        <h1 class="animated">Frequently Asked Questions (FAQ)</h1>
    </section>
    <hr>
    <% @faqs.each do |faq| %>
        <div class="row">
            <div class="col-md-6 col-xs-12">
             <% if current_user.present? %>
                <% if current_user.admin? %>
                    <%= link_to(edit_faq_path(faq)) do %>
                        <button style="position: absolute;" class="btn btn-primary btn-sm">Edit</button>
                    <% end %>
                <% end %>
            <% end %>
                <div class="tab">
                    <button class="tablinks" onclick="openQuestion(event, <%= faq.id %>)" ><%= faq.question %></button>
                </div>
            </div>
            <div class="col-md-6 col-xs-12">
                <div id="<%= faq.id %>" class="tabcontent">
                     <p><%= simple_format(faq.answer) %> </p>
                </div>
            </div>
        </div>
    <% end %>
</div>
<script>
    function openQuestion(evt, question) {
      var i, tabcontent, tablinks;
      tabcontent = document.getElementsByClassName("tabcontent");
      for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
      }
      tablinks = document.getElementsByClassName("tablinks");
      for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
      }
      document.getElementById(question).style.display = "block";
      evt.currentTarget.className += " active";
    }
    // tabcontent = document.getElementsByClassName("tabcontent");
    //   for (i = 0; i < tabcontent.length; i++) {
    //     tabcontent[i].style.display = "none";
    // document.getElementsByClassName("tablinks")[0].className += " active";
    // document.getElementsByClassName("tabcontent")[0].style.display = "none";
    var first = document.getElementsByClassName("tablinks")[0]
    openQuestion(onclick,first)
</script>
